Skip to main content
POST
/
api
/
restock-plans
Create restock plan
curl --request POST \
  --url https://app.solya.app/api/restock-plans \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "brandId": "brand-uuid-adidas",
  "collectionId": "coll-uuid-fw25",
  "description": "First restock order for Adidas FW25 collection",
  "name": "Adidas FW25 Restock Wave 1"
}
'
{
  "brandId": "brand-uuid-adidas",
  "collectionId": "coll-uuid-fw25",
  "id": "rop-uuid-001",
  "status": "DRAFT"
}

Authorizations

Authorization
string
header
required

User session token issued by NextAuth. For human users accessing Solya via the web application.

Body

application/json
brandId
string
required

Identifier of the brand for the restock plan

Minimum string length: 1
collectionId
string
required

Identifier of the collection for the restock plan

Minimum string length: 1
description
string

Optional free-text description of the plan

name
string

Optional display name for the plan

supplierId
string

Optional identifier of the supplier

Response

Successful response

data
object
required
success
enum<boolean>
required
Available options:
true